org.apache.xalan.xsltc.dom

## Class SingletonIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xalan.xsltc.dom.SingletonIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

    public class SingletonIterator
    extends DTMAxisIteratorBase

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`SingletonIterator()`
`SingletonIterator(int node)`
`SingletonIterator(int node, boolean constant)`

### Method Summary

Methods
`void` `gotoMark()` Restores the current node remembered by setMark().
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `reset()` Resets the iterator to the last start node.
`void` `setMark()` Remembers the current node for the next call to gotoMark().
`DTMAxisIterator` `setStartNode(int node)` Override the value of `_node` only when this object was constructed using the empty constructor.

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingletonIterator

    public SingletonIterator()

#### SingletonIterator

    public SingletonIterator(int node)

#### SingletonIterator

    public SingletonIterator(int node,
                     boolean constant)

### Method Detail

#### setStartNode

    public DTMAxisIterator setStartNode(int node)

Override the value of `_node` only when this object was constructed using the empty constructor.

Parameters:
  `node` - Sets the root of the iteration.
Returns:
  A DTMAxisIterator set to the start of the iteration.

#### reset

    public DTMAxisIterator reset()

Description copied from interface: `DTMAxisIterator`
Resets the iterator to the last start node.

Specified by:
  `reset` in interface `DTMAxisIterator`
Overrides:
  `reset` in class `DTMAxisIteratorBase`
Returns:
  A DTMAxisIterator which has been reset to the start node, which may or may not be the same as this iterator.

#### next

    public int next()

Description copied from interface: `DTMAxisIterator`
Get the next node in the iteration.

Returns:
  The next node handle in the iteration, or END.

#### setMark

    public void setMark()

Description copied from interface: `DTMAxisIterator`
Remembers the current node for the next call to gotoMark().

#### gotoMark

    public void gotoMark()

Description copied from interface: `DTMAxisIterator`
Restores the current node remembered by setMark().